Fonctions d'édition de AcDbLine


Acad::ErrorStatus

setEndPoint (

const AcGePoint3d& PointFin);

PointFin Entrée : Un point SCG (Système de coordonnées général ) à employer comme point d'arrivée de la ligne

Définit PointFin comme étant le nouveau point d'arrivée de la ligne. PointFin doit être sous forme de coordonnées SCG.

La valeur du point d'arrivée est employée dans le code 11 du groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables.


Acad::ErrorStatus

setNormal (

const AcGeVector3d& normal );

normal Entrée : Vecteur SCG (Système de coordonnées général ) à employer comme ligne du vecteur normal (Axe Z).

Définit normal comme étant le vecteur normal de la ligne. normal doit être sous forme de coordonnées SCG.

La valeur normale est employée pour le code 210 du groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables.

▲haut de page

Acad::ErrorStatus

setStartPoint (

const AcGePoint3d& PointDepart );

PointDepart Entrée : Point SCG (Système de coordonnées général ) à employer comme point de départ de la ligne

Définit PointDepart comme étant le nouveau point de départ de la ligne. PointDepart doit être sous forme de coordonnées SCG.

La valeur du point de départ est employée dans le code 10 du groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables

▲haut de page

Acad::ErrorStatus

setThickness (

double Epaisseur );

Epaisseur Entrée : Nouvelle valeur d'épaisseur pour la ligne.

Définit Epaisseur comme étant la valeur d'épaisseur de la ligne. L'épaisseur est la dimension de la ligne le long de la direction de son vecteur normal (parfois appelée direction d'extrusion).

La valeur de l'épaisseur est employée dans le code 39 du groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables.

▲haut de page
www.cadfr.com  

Exemple de code:

AcGePoint3d PtDepart (5.0,5.0,0.0), PtFin (10.0,10.0,0.0);

AcGeVector3d Normal (0,1,0);

double Epaisseur = 2.0;

AcDbLine *Lligne = new AcDbLine();
Lligne->setStartPoint (PtDepart);
Lligne->setEndPoint (PtFin);
Lligne->setNormal (Normal);
Lligne->setThickness (Epaisseur);